### Method

# Camel Folder get_quota_info

since: 3.2

#### Declaration [src]

    void
    camel_folder_get_quota_info (
      CamelFolder* folder,
      gint io_priority,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously gets a list of known quotas for `folder`.

When the operation is finished, `callback` will be called. You can then call `camel_folder_get_quota_info_finish()` to get the result of the operation.

Available since: 3.2

This method completes asynchronously. Use `camel_folder_get_quota_info_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`io_priority`

  Type: `gint`

  The I/O priority of the request.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to pass to the callback function.

  The argument can be `NULL`.
  The data is owned by the caller of the method.